winregd (1)

NAME
winregd - Windows NT remote registry service

SYNOPSIS

winregd [-d debuglevel] [-D] [-a] [-p port] [-o] [-P] [-i scope] [-s servicesfile] [-l basename for log file]

DESCRIPTION

This daemon is part of the new Samba TNG suite.

This daemon allows a user with sufficient rights (usually Domain Administrators) to use REGEDT32.EXE (on NT), REGEDIT.EXE (on Win9x) or regedit(Unix and Samba) to make changes and view keys in the system registry. It can also carry out requests to shutdown from a remote user / machine.

OPTIONS

-d debuglevel
    sets the debuglevel to an integer between 0 and 100. 0 is for no debugging and 100 is for reams and reams. To submit a bug report to the Samba Team, use debug level 100 (see BUGS.txt).

-D  tells winregd to become a daemon and detach from the current terminal. This should be used for the most part.

-a  tells winregd to append to it's log file rather than overwrite it. This is on by default.

-p port
    sets the port on which winregd listens for incoming requests. Not used often.

-o  tells winregd to overwrite the log file each time it is restarted. This is useful for reporting specific problems to the Samba Team.

-P  (unknown)

-i scope
    sets the NetBIOS scope. The NetBIOS scope is not used normally. To find out more about the NetBIOS scope, see RFCs 1001 and 1002.

-s servicesfile
    specifies the location of the services file. The default being /etc/services

-l basename for log file
    sets the basename of the log file. The default is log and .winregd will be appended to the file name.

SEE ALSO

samba(7),browserd(8),lsarpcd(8),samrd(8),smbd(8),nmbd(8),netlogond(8),svcctld(8),srvsvcd(8),winregd(8),wkssvcd(8),spoolssd(8),samedit(8),regedit(8)

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell samba-bugs@samba.org. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

This manual page (as incomplete as it is) was written by Matthew Geddes for The Samba Team.